<?php

use Illuminate\Database\Migrations\Migration;

class CreateCurrencyTable extends Migration
{
    /**
     * Currencies table name
     *
     * @var string
     */
    protected $table_name;

    /**
     * Create a new migration instance.
     */
    public function __construct()
    {
        $this->table_name = config('currency.drivers.database.table');
    }

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        if ( !Schema::hasTable('currencies') ) {
            Schema::create($this->table_name, function ($table) {
                $table->increments('id')->unsigned();
                $table->string('name');
                $table->string('code', 10)->index();
                $table->string('symbol', 25);
                $table->string('format', 50);
                $table->string('exchange_rate');
                $table->longtext('payment_method');
                $table->boolean('active')->default(false);
                $table->timestamps();
            });
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop($this->table_name);
    }
}
